개정판 29019512
add arc line
Change-Id: I1834e93db0c1dfccc8565c430f21acaabffde5e1
DTI_PID/DTI_PID/ImportTextFromCADDialog.py | ||
---|---|---|
1130 | 1130 |
for node in nodes: |
1131 | 1131 |
line_infos.append(node) |
1132 | 1132 |
|
1133 |
for record in blk_tbl_record.iter('AcDbArc'): |
|
1134 |
if record.attrib['Layer'] not in exclude_layers: |
|
1135 |
nodes = self.lines_to_xml(layers, line_types, record) |
|
1136 |
if nodes: |
|
1137 |
for node in nodes: |
|
1138 |
line_infos.append(node) |
|
1139 |
|
|
1133 | 1140 |
for record in blk_tbl_record.iter('AcDbPolyline'): |
1134 | 1141 |
if record.attrib['Layer'] not in exclude_layers: |
1135 | 1142 |
nodes = self.lines_to_xml(layers, line_types, record) |
DTI_PID/DTI_PID/MainWindow.py | ||
---|---|---|
787 | 787 |
toler = int(configs[0].value) if configs else 20 |
788 | 788 |
detector = LineDetector(app_doc_data.imgSrc) |
789 | 789 |
|
790 |
lines = [item for item in self.graphicsView.scene().items() if type(item) is QEngineeringLineItem if item.length() > 50] |
|
791 |
lines_short = [item for item in self.graphicsView.scene().items() if type(item) is QEngineeringLineItem if item.length() <= 50] |
|
790 |
lines = [item for item in self.graphicsView.scene().items() if type(item) is QEngineeringLineItem]# if item.length() > 50]
|
|
791 |
lines_short = []#[item for item in self.graphicsView.scene().items() if type(item) is QEngineeringLineItem if item.length() <= 50]
|
|
792 | 792 |
unknowns = [item for item in self.graphicsView.scene().items() if type(item) is QEngineeringUnknownItem] |
793 | 793 |
symbols = [item for item in self.graphicsView.scene().items() if issubclass(type(item), SymbolSvgItem)] |
794 | 794 |
|
내보내기 Unified diff